Loading...
Searching...
No Matches
gridfire::utils::Table< T > Class Template Referencefinal

`#include <table_format.h>`

Inheritance diagram for gridfire::utils::Table< T >:
[legend]
Collaboration diagram for gridfire::utils::Table< T >:
[legend]

## Public Member Functions

| Table (const std::string &name, const std::vector< Column< T > > &columns)
| Table (const std::string &name, const std::unordered_map< std::string, std::vector< T > > &columnData)
| Table (const std::string &name, const std::map< std::string, std::vector< T > > &columnData)
| Table (const std::string &name, const std::unordered_map< fourdst::atomic::Species, std::vector< T > > &columnData)
| Table (const std::string &name, const std::map< fourdst::atomic::Species, std::vector< T > > &columnData)
size_t | ncols () const override
size_t | nrows () const override
const ColumnBase & | operator[] (size_t i) const override
const std::vector< std::unique_ptr< ColumnBase > > | getColumns () const override
std::string | getName () const override
void | toCSV (const std::string &filename) const override
Public Member Functions inherited from gridfire::utils::TableBase
virtual | ~TableBase ()=default

## Private Attributes

std::string | m_name
std::vector< std::unique_ptr< Column< T > > > | m_columns

## Constructor & Destructor Documentation

## Table() [1/5]

template<typename T>

gridfire::utils::Table< T >::Table | ( | const std::string & | name,
|  | const std::vector< Column< T > > & | columns )

inline

## Table() [2/5]

template<typename T>

gridfire::utils::Table< T >::Table | ( | const std::string & | name,
|  | const std::unordered_map< std::string, std::vector< T > > & | columnData )

inline

## Table() [3/5]

template<typename T>

gridfire::utils::Table< T >::Table | ( | const std::string & | name,
|  | const std::map< std::string, std::vector< T > > & | columnData )

inline

## Table() [4/5]

template<typename T>

gridfire::utils::Table< T >::Table | ( | const std::string & | name,
|  | const std::unordered_map< fourdst::atomic::Species, std::vector< T > > & | columnData )

inline

## Table() [5/5]

template<typename T>

gridfire::utils::Table< T >::Table | ( | const std::string & | name,
|  | const std::map< fourdst::atomic::Species, std::vector< T > > & | columnData )

inline

## Member Function Documentation

## getColumns()

template<typename T>

const std::vector< std::unique_ptr< ColumnBase > > gridfire::utils::Table< T >::getColumns | ( |  | ) | const

inlineoverridevirtual

Reimplemented from gridfire::utils::TableBase.

## getName()

template<typename T>

std::string gridfire::utils::Table< T >::getName | ( |  | ) | const

inlineoverridevirtual

Implements gridfire::utils::TableBase.

## ncols()

template<typename T>

size_t gridfire::utils::Table< T >::ncols | ( |  | ) | const

inlineoverridevirtual

Implements gridfire::utils::TableBase.

## nrows()

template<typename T>

size_t gridfire::utils::Table< T >::nrows | ( |  | ) | const

inlineoverridevirtual

Implements gridfire::utils::TableBase.

## operator[]()

template<typename T>

const ColumnBase & gridfire::utils::Table< T >::operator[] | ( | size_t | i | ) | const

inlineoverridevirtual

Implements gridfire::utils::TableBase.

## toCSV()

template<typename T>

void gridfire::utils::Table< T >::toCSV | ( | const std::string & | filename | ) | const

inlineoverridevirtual

Implements gridfire::utils::TableBase.

## Member Data Documentation

## m_columns

template<typename T>

std::vector<std::unique_ptr<Column<T> > > gridfire::utils::Table< T >::m_columns

private

## m_name

template<typename T>

std::string gridfire::utils::Table< T >::m_name

private

The documentation for this class was generated from the following file:

- src/include/gridfire/utils/table_format.h